import c4d
from c4d import gui
import imp
import os
import warnings
import random
import time
warnings.filterwarnings("ignore")
dir, file = os.path.split(__file__)


count =0
stop = False
head = dir
tail = ""
stop = False
while tail != "Signal Scripts":
    count = count+1
    dir = head
    head, tail = os.path.split(head)
    if count >10:
        stop = True
        c4d.gui.MessageDialog("Error with Signal.\nPlease try to reinstall the scripts.")
        break 

try:
	api = imp.load_source('Functions.txt',os.path.join(dir,"res", "Functions.txt"))
	ID = imp.load_source('Ids.txt',os.path.join(dir,"res", "Ids.txt"))
except:
	stop = True
	c4d.gui.MessageDialog("Error with Signal.\nPlease try to reinstall the scripts.")
        

def main():
    if stop == True:
        return
    tags = doc.GetActiveTags()
    signals = []
    for tag in tags:
	if tag.GetType()==ID.SIGNAL:
		signals.append(tag)
    tags = signals
    if len(tags) <1: return

    doc.StartUndo()
    for tag in tags:
	doc.AddUndo(c4d.UNDOTYPE_CHANGE_SMALL, tag)
                
      
                
        #Start Here
	tag[api.GetVariationId(tag, ID.EndValue)[1]] = tag[api.GetVariationId(tag, ID.StartValue)[1]]         
                
        
        
        #End here   
    c4d.EventAdd()
    doc.EndUndo()
    
    
    
if __name__=='__main__':
    main()
